Bug 507065 - Hard disk install asks for wrong install image
Hard disk install asks for wrong install image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 09:20 EDT by Amadeus
Modified: 2010-06-28 09:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:10:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amadeus 2009-06-20 09:20:28 EDT
When using the "askmethod" you can have the install media on another partition, but when anaconda asks for the install image, it asks for "install.img" and not "Fedora-11-x86_64-DVD.iso".

The error message is completely useless, as it doesn't say anything in this regard.

RHEL5.3 doesn't have this problem. It asks for install media, and expects to get the raw ISO that you download, and mounts it.

Fedora 11 also tries to mount the ISO image, but is it just completely messed up this part.
Comment 1 Devrim GUNDUZ 2009-06-21 17:14:39 EDT
I'm h
Comment 2 Devrim GUNDUZ 2009-06-21 17:15:15 EDT
I'm having the same issue.
Comment 3 Chris Lumens 2009-07-01 16:33:53 EDT
anaconda is asking for the location of the second stage of the installer, which is an install.img file.  If you are using an hdiso install method, the expected layout is some mountpoint with:

/Fedora-11-x86_64-DVD.iso
/images/install.img

You can either provide the location of the .iso image and anaconda will infer the location of the install.img, or provide the location of the install.img and anaconda will infer the location of the ISO.  Or, you can specify both on the command line with repo= and stage2=.

But yeah this is a change - anaconda wants you to provide it with the second stage of the installer.
Comment 4 Amadeus 2009-07-01 16:47:26 EDT
> You can either provide the location of the .iso image and anaconda will infer
> the location of the install.img,

That's the problem. This doesn't work.
Comment 5 Chris Lumens 2009-07-02 09:48:25 EDT
I'll need to see the log files to see what's going on.  Since it's hard to do that in stage1, a picture of tty3 will have to do.
Comment 6 Amadeus 2009-07-02 17:45:22 EDT
I haven't got a camera, but it is reproducible every time, so your can quickly verify that the installer can't find the .iso regardless of what you type as path.
Comment 7 Amadeus 2009-07-04 16:55:10 EDT
I am reopening the bug, as it can easily be reproduced.
Comment 8 Bug Zapper 2010-04-27 11:06:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 09:10:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.